/*
 *  Copyright 2010 Jetico, Inc. All rights reserved.
 */

#ifndef BC_CRYPTO_MEM_H
#define BC_CRYPTO_MEM_H

#ifdef BC_LINUX
# include <linux/slab.h>
# include <linux/string.h>
#endif

static inline char* bc_crypto_alloc(size_t nbytes)
{
	char* data;
	#ifdef BC_LINUX
		data = (char*) kmalloc(nbytes, GFP_KERNEL);
	#endif
	memset(data, 0, nbytes);
	return data;
}


static inline void bc_crypto_free(char* data, size_t nbytes)
{
	memset(data, 0, nbytes);
	#ifdef BC_LINUX
		kfree(data);
	#endif
}


#endif

